<?php
namespace App\Services\Product\Cost;

use App\Services\Product\Cost\CostInterface;

class CostService
{
    private $cost;

    public function __construct(CostInterface $cost)
    {
        $this->cost = $cost;
    }

    public function calculateCost($product)
    {
        return $this->cost->calculateCost($product);
    }
}
